Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] testing/elvish: new aport

From: Daniel Isaksen <d_at_duniel.no>
Date: Fri, 29 Sep 2017 15:32:43 +0000

---
 testing/elvish/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/elvish/APKBUILD
diff --git a/testing/elvish/APKBUILD b/testing/elvish/APKBUILD
new file mode 100644
index 0000000000..2ac48bc7f4
--- /dev/null
+++ b/testing/elvish/APKBUILD
_at_@ -0,0 +1,39 @@
+# Maintainer: Daniel Isaksen <d_at_duniel.no>
+pkgname=elvish
+pkgver=0.10.1
+pkgrel=0
+pkgdesc="A friendly and expressive shell for Linux, macOS and BSDs"
+url="https://elvish.io/"
+arch="all"
+license="BSD-2-Clause"
+depends=""
+makedepends="go"
+options="!check"
+source="$pkgname-$pkgver.tar.gz::https://github.com/elves/$pkgname/archive/$pkgver.tar.gz"
+builddir="$srcdir/src/github.com/elves/$pkgname"
+
+prepare() {
+	cd "$srcdir"
+
+	mkdir -p "${builddir%/*}"
+	mv "$srcdir"/$pkgname-$pkgver "$builddir"/
+
+	cd "$builddir"
+
+	default_prepare
+}
+
+build() {
+	export GOPATH="$srcdir"
+	cd "$builddir"
+
+	make get || return 1
+	go build -buildmode=pie -v || return 1
+}
+
+package() {
+	install -Dm755 "$srcdir"/bin/elvish -t "$pkgdir"/usr/bin
+	install -Dm644 "$builddir"/LICENSE -t "$pkgdir/usr/share/licenses/$pkgname/"
+}
+
+sha512sums="dd4a190b0a91550e719b2d38f82877fb32033032d9114282117c112327daaa0844a508a3f9a6b97c997135b7c815794241291e1c881616c674bb61c9a21b291c  elvish-0.10.1.tar.gz"
-- 
2.14.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Sep 29 2017 - 15:32:43 GMT